BinaryBooleanExpressionHelper (Groovy 4.0.15)
Description: declaration: package: org.codehaus.groovy.classgen.asm, class: BinaryBooleanExpressionHelper

Package org.codehaus.groovy.classgen.asm

# Class BinaryBooleanExpressionHelper

java.lang.Object
org.codehaus.groovy.classgen.asm.BinaryExpressionWriter
org.codehaus.groovy.classgen.asm.BinaryIntExpressionHelper
org.codehaus.groovy.classgen.asm.BinaryBooleanExpressionHelper

public class BinaryBooleanExpressionHelper extends BinaryIntExpressionHelper
Binary write operations specialised for Booleans

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BinaryBooleanExpressionHelper(WriterController wc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)`
  `protected ClassNode`
  `getArrayGetResultType()`
  `protected ClassNode`
  `getDevisionOpResultType()`
  `protected ClassNode`
  `getNormalOpResultType()`
  `protected int`
  `getShiftOperationBytecode(int type)`
  `protected int`
  `getStandardOperationBytecode(int type)`
  `protected void`
  `removeTwoOperands(org.objectweb.asm.MethodVisitor mv)`
  `protected boolean`
  `writeDivision(boolean simulate)`
  `protected void`
  `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
  `protected void`
  `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
  `boolean`
  `writePostOrPrefixMethod(int operation, boolean simulate)`
  `protected boolean`
  `writeStdOperators(int type, boolean simulate)`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryIntExpressionHelper

  `getBitwiseOperationBytecode, getCompareCode, supportsDivision, writeSpaceship, writeStdCompare`

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionWriter

  `arrayGet, arraySet, getArrayGetCaller, getArraySetCaller, getController, setArraySetAndGet, write, writeBitwiseOp, writeShiftOp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BinaryBooleanExpressionHelper

    public BinaryBooleanExpressionHelper(WriterController wc)

- ## Method Details

  - ### getArrayGetResultType

    protected ClassNode getArrayGetResultType()
    Overrides:
      `getArrayGetResultType` in class `BinaryExpressionWriter`

  - ### writePostOrPrefixMethod

    public boolean writePostOrPrefixMethod(int operation, boolean simulate)
    Overrides:
      `writePostOrPrefixMethod` in class `BinaryExpressionWriter`

  - ### writeStdOperators

    protected boolean writeStdOperators(int type, boolean simulate)
    Overrides:
      `writeStdOperators` in class `BinaryExpressionWriter`

  - ### writeDivision

    protected boolean writeDivision(boolean simulate)
    Overrides:
      `writeDivision` in class `BinaryExpressionWriter`

  - ### getNormalOpResultType

    protected ClassNode getNormalOpResultType()
    Overrides:
      `getNormalOpResultType` in class `BinaryIntExpressionHelper`

  - ### getDevisionOpResultType

    protected ClassNode getDevisionOpResultType()
    Overrides:
      `getDevisionOpResultType` in class `BinaryIntExpressionHelper`

  - ### getShiftOperationBytecode

    protected int getShiftOperationBytecode(int type)
    Overrides:
      `getShiftOperationBytecode` in class `BinaryIntExpressionHelper`

  - ### getStandardOperationBytecode

    protected int getStandardOperationBytecode(int type)
    Overrides:
      `getStandardOperationBytecode` in class `BinaryIntExpressionHelper`

  - ### removeTwoOperands

    protected void removeTwoOperands(org.objectweb.asm.MethodVisitor mv)
    Overrides:
      `removeTwoOperands` in class `BinaryIntExpressionHelper`

  - ### writePlusPlus

    protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)
    Overrides:
      `writePlusPlus` in class `BinaryIntExpressionHelper`

  - ### writeMinusMinus

    protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)
    Overrides:
      `writeMinusMinus` in class `BinaryIntExpressionHelper`

  - ### doubleTwoOperands

    protected void doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)
    Overrides:
      `doubleTwoOperands` in class `BinaryIntExpressionHelper`